/**
 *
 * This file is part of Tulip (www.tulip-software.org)
 *
 * Authors: David Auber, Patrick Mary, Morgan Mathiaut
 * from the LaBRI Visualization Team
 * Last modification : 15/01/2010
 *
 * Tulip is free software; you can redistribute it and/or modify
 * it under the terms of the Lesser GNU General Public License
 * as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * Tulip is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 */
#ifndef SPLINE_H
#define SPLINE_H
#ifndef DOXYGEN_NOTFOR_DEVEL

namespace tlp {

/*
 * Compute a spline curve with degree 3
 */
void Spline3(double (&p)[3], const double (*point)[3], unsigned int size, double mu);

/*
 * Compute a spline curve with degree 4
 */
void Spline4(double (&p)[3], const double (*point)[3], unsigned int size, double mu);

}
#endif //DOXYGEN_NOTFOR_DEVEL
#endif //SPLINE_H

