/**
 *
 * This file is part of Tulip (www.tulip-software.org)
 *
 * Authors: David Auber, Patrick Mary, Morgan Mathiaut
 * from the LaBRI Visualization Team
 * Last modification : 15/01/2010
 *
 * Tulip is free software; you can redistribute it and/or modify
 * it under the terms of the Lesser GNU General Public License
 * as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * Tulip is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 */
#ifndef DOXYGEN_NOTFOR_DEVEL
#ifndef BORDER_H
#define BORDER_H

#include "tulip/RectangleArea.h"

namespace tlp {

const float BORDERWIDTH_LEVEL_FACTOR = .75;
const float BORDERWIDTH_ROOT = 15;

bool TLP_SCOPE isBorderedGlyph(int glyph);

float TLP_SCOPE evaluateBorderSize(int nodeLevel);
float TLP_SCOPE evaluateBorderSize(int nodeLevel, const RectangleArea& NodeArea,
				   int maxLevel = 0);
                         
}
#endif
#endif //DOXYGEN_NOTFOR_DEVEL
