/**
 *
 * This file is part of Tulip (www.tulip-software.org)
 *
 * Authors: David Auber, Patrick Mary, Morgan Mathiaut
 * from the LaBRI Visualization Team
 * Last modification : 15/01/2010
 *
 * Tulip is free software; you can redistribute it and/or modify
 * it under the terms of the Lesser GNU General Public License
 * as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * Tulip is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 */
#ifndef EMBEDDERBFS_H
#define EMBEDDERBFS_H

#include "EmbedderDefs.h"

class Queue {
 private:	
  int * data;
  int queueSize;
  int end;
  int start;
 public:
  Queue(int size) {data=new int[size]; queueSize=size; start=0; end=0;}
  ~Queue() {delete [] data;}

  void initQueue(int startVertex) {
    data[0]=startVertex;
    start=0; end=1;
  }

  bool dequeue(int & vertex) {		
    if (start>=end)
      return false; // underflow
    vertex=data[start++];
    return true;
  }

  bool enqueue(int vertex) {
    if (end>=queueSize)
      return false; // overflow
    data[end++]=vertex;
    return true;
  }
};


void bfs(int vertex, vtx_data * graph, int n, DistType * dist, Queue & Q);

#endif
