/**
 *
 * This file is part of Tulip (www.tulip-software.org)
 *
 * Authors: David Auber, Patrick Mary, Morgan Mathiaut
 * from the LaBRI Visualization Team
 * Last modification : 15/01/2010
 *
 * Tulip is free software; you can redistribute it and/or modify
 * it under the terms of the Lesser GNU General Public License
 * as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * Tulip is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 */
#ifndef EMBEDDERPARAMETERS_H
#define EMBEDDERPARAMETERS_H

// Parameters used in the program:

// Power iteration tolerance:
extern double p_iteration_threshold;

// PCA dimensions:
extern int dim1;
extern int dim2;

// number of centers
extern int num_centers;
extern int max_num_centers; 

extern double tolerance;

// Style related:
enum Shape{circle, rectangle};
extern Shape vertex_shape;
extern int vertex_size;
extern bool label_vertices;
extern bool ThickLines;
extern int ScreenShift;
extern bool drawEdges;
extern bool SHOW_PIVOTS;

extern int * pivots;
extern int num_of_pivots;

#endif
